# Class CIM_SystemPackaging
extends CIM_Dependency

Similar to the way that LogicalDevices are 'Realized' by PhysicalElements, Systems can be associated with specific packaging or PhysicalElements. This association explicitly defines the relationship between a System and its packaging.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SystemPackaging

## Direct Known Subclasses

CIM_ComputerSystemPackage
CIM_LibraryPackage

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Similar to the way that LogicalDevices are 'Realized' by PhysicalElements, Systems can be associated with specific packaging or PhysicalElements. This association explicitly defines the relationship between a System and its packaging.
UMLPackagePath | string | CIM::Core::Physical
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SystemPackaging | CIM_PhysicalElement
Dependent | CIM_SystemPackaging | CIM_System

## Class Methods